/**
 * Copyright 2013 John Ericksen
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.androidtransfuse.integrationTest.broadcastReceiver;

import android.content.Context;
import android.content.Intent;
import android.view.View;
import org.androidtransfuse.annotations.Activity;
import org.androidtransfuse.annotations.Layout;
import org.androidtransfuse.annotations.RegisterListener;
import org.androidtransfuse.integrationTest.R;

import javax.inject.Inject;

/**
 * @author John Ericksen
 */
@Activity(label = "Broadcast Receiver")
@Layout(R.layout.toasttrigger)
public class ToastTrigger {

    @Inject
    private Context context;

    @RegisterListener(R.id.toastbutton)
    private View.OnClickListener listener = new View.OnClickListener() {

        @Override
        public void onClick(View v) {
            context.sendBroadcast(new Intent(Toaster.INTENT));
        }
    };
}
