/**
 * Copyright 2013 John Ericksen
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.androidtransfuse.integrationTest.fragments;

import android.util.Log;
import android.widget.TextView;
import org.androidtransfuse.annotations.*;
import org.androidtransfuse.integrationTest.R;

import javax.inject.Inject;

@Fragment
@Layout(R.layout.details)
public class DetailFragment {

    @Inject
    @View(R.id.detailsText)
    private TextView view;

    @OnActivityCreated
    public void onActivityCreated() {
        Log.i("fragments", "onActivityCreated");
    }

    public void setText(@Observes TextChange textChange) {
        view.setText(textChange.getValue());
    }
}