/**
 * Copyright 2013 John Ericksen
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.androidtransfuse.integrationTest.inject;

import org.androidtransfuse.Factories;
import org.androidtransfuse.integrationTest.IntegrationModule;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

/**
 * @author John Ericksen
 */
public class TargetFactoryTest {

    private TargetFactory targetFactory;

    @Before
    public void setup(){
        targetFactory = Factories.get(TargetFactory.class);
    }

    @Test
    public void testInjectionTarget(){
        assertNotNull(targetFactory.getTarget());
    }

    @Test
    public void testLoop(){
        assertNotNull(targetFactory.getLoop());
    }

    @Test
    public void getLoopProvider(){
        assertNotNull(targetFactory.getLoopThreeProvider());
    }

    @Test
    public void getModuleConfiguredAndQualifer(){
        assertNotNull(targetFactory.getOne());
        assertEquals(IntegrationModule.ONE, targetFactory.getOne());
    }
}
